---

#! jobs/suspend-stress.yaml
suite: suspend-stress
testcase: suspend-stress
category: functional
kernel_cmdline: initcall_debug log_buf_len=4M no_console_suspend ignore_loglevel
force_reboot: 1
suspend-stress:
  mode: freeze
iterations: 10
runtime:
rtcwake:
idle_time:
job_origin: suspend-stress.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-bdw-nuc1
tbox_group: lkp-bdw-nuc1
job_file: "/lkp/jobs/scheduled/lkp-bdw-nuc1/suspend-stress-10-freeze-debian-x86_64-20180403.cgz-861e8086029e-20240406-54082-1dwi7sw-0.yaml"
id: 8940141308fdf93d0979a294f3f2032aa6cf80b3
queuer_version: "/zday/lkp"

#! /db/releases/20240404122807/lkp-src/hosts/lkp-bdw-nuc1
model: Broadwell
nr_cpu: 4
memory: 8G
belongs_to: power

#! /db/releases/20240404122807/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240404122807/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240404122807/lkp-src/include/suspend-stress
avoid_nfs: 1
need_kconfig:
- SUSPEND: y
- HIBERNATION: y
- PM_DEBUG: y

#! /db/releases/20240404122807/lkp-src/include/queue/cyclic
commit: 861e8086029e003305750b4126ecd6617465f5c7

#! /db/releases/20240404122807/lkp-src/include/testbox/lkp-bdw-nuc1
rootfs: debian-x86_64-20180403.cgz
need_kconfig_hw:
- PTP_1588_CLOCK: y
- E1000E: y
- SATA_AHCI
- USB_NET_AX8817X: y
- USB_NET_AX8817X: y
- USB_NET_AX88179_178A: y
- USB_RTL8152: y
kconfig: x86_64-rhel-8.3-func
enqueue_time: 2024-04-06 05:55:44.749830599 +08:00
_rt: "/result/suspend-stress/10-freeze/lkp-bdw-nuc1/debian-x86_64-20180403.cgz/x86_64-rhel-8.3-func/gcc-13/861e8086029e003305750b4126ecd6617465f5c7"
compiler: gcc-13
head_commit: 77b8528e84a068c8e82f7d1c328595c8d290c5e1
base_commit: 39cd87c4eb2b893354f3b850f916353f2658ae6f
branch: linux-devel/devel-hourly-20240404-070008

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240403-114821"
arch: x86_64
max_uptime: 1200
initrd: "/osimage/debian/debian-x86_64-20180403.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/suspend-stress/10-freeze/lkp-bdw-nuc1/debian-x86_64-20180403.cgz/x86_64-rhel-8.3-func/gcc-13/861e8086029e003305750b4126ecd6617465f5c7/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-func/gcc-13/861e8086029e003305750b4126ecd6617465f5c7/vmlinuz-6.8.0-12871-g861e8086029e
- branch=linux-devel/devel-hourly-20240404-070008
- job=/lkp/jobs/scheduled/lkp-bdw-nuc1/suspend-stress-10-freeze-debian-x86_64-20180403.cgz-861e8086029e-20240406-54082-1dwi7sw-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-func
- commit=861e8086029e003305750b4126ecd6617465f5c7
- initcall_debug log_buf_len=4M no_console_suspend ignore_loglevel
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-func/gcc-13/861e8086029e003305750b4126ecd6617465f5c7/modules.cgz"
bm_initrd: "/osimage/deps/debian-x86_64-20180403.cgz/run-ipconfig_2018-04-03.cgz,/osimage/deps/debian-x86_64-20180403.cgz/lkp_2019-08-05.cgz,/osimage/deps/debian-x86_64-20180403.cgz/rsync-rootfs_2018-04-03.cgz,/osimage/deps/debian-x86_64-20180403.cgz/hw_2020-01-02.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240404122807/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-bdw-nuc1/suspend-stress-10-freeze-debian-x86_64-20180403.cgz-861e8086029e-20240406-54082-1dwi7sw-0.cgz"

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-func/gcc-13/861e8086029e003305750b4126ecd6617465f5c7/vmlinuz-6.8.0-12871-g861e8086029e"
result_root: "/result/suspend-stress/10-freeze/lkp-bdw-nuc1/debian-x86_64-20180403.cgz/x86_64-rhel-8.3-func/gcc-13/861e8086029e003305750b4126ecd6617465f5c7/0"
dequeue_time: 2024-04-06 06:21:48.973406811 +08:00
job_state: suspending-1/10
